#!/bin/sh
#
# Generate current download page with correct version plugged in.
#
VERSION=$1

VERS=`echo $VERSION | tr -d '.'`

cat >download.html <<EOF
<?xml version="1.0" encoding="iso-8859-1"?>
<!--
		This file is generated.
		Do not hand-hack!
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="generator"
content="HTML Tidy for Linux/x86 (vers 1st February 2002), see www.w3.org" />
<link rev="made href=mailto:esr@thyrsus.com" />
<title>Download the Jargon File</title>
<style type="text/css">
/*<![CDATA[*/
 h1.c1 {text-align: center}
/*]]>*/
</style>
</head>
<body>
<h1 class="c1">Access to the File</h1>

<p>The Jargon File is available for browsing <a href="html/">here</a>, or as
a <a href="jargon.html">single HTML file</a>.</p>

<p>You can download an installable HTML <a
href="jargon-${VERSION}.tar.gz">tarball</a> from here.</p>

<p>You can download a <a href="jarg${VERS}.gz">flat-text version</a>, with
headwords and references bracketed by colons, from here. Yes, the
filling/justification is badly done, with lots of rivers (makeinfo is less
good at this than the Emacs Lisp code used in older versions). No, we don't
care; we're trying to phase out this format.</p>

<p>You can also download a copy of the Jargon File <a
href="jargsrc.tar.gz">masters and the production tools</a> used to generate
HTML and TeX versions.</p>

<p>Unfortunately, the Jargon File is far too big to email. Requests that we
mail it will be ignored. Also note that the Info version has been phased out;
it's an HTML world now.</p>

<p>In the future we hope to offer an SGML/XML version suitable for serious
database work.</p>

<h1>Why There Are No diff Files</h1>

<p>Many people have asked why I don't release diff files for new versions, so
people can avoid having to fetch the whole thing each time. It's because
diffs tend to lose the actual semantic changes in a lot of noise resulting
from very low-level tweaks (typo fixes, re-justifications, etc.). This bulks
the diffs up to the point where I don't think they're enough smaller than the
File itself to justify the hassle costs of issuing or using them.</p>

<br clear="left" />
<hr />
<address>Eric S. Raymond <a
href="mailto:esr@thyrsus.com">&lt;esr@snark.thyrsus.com&gt;</a></address>
</body>
</html>

EOF
